%define srcname mkdocs

Name:           python-%{srcname}
Version:        0.12.2
Release:        2%{?dist}
Summary:        Project documentation with Markdown

Group:          Development/Libraries
License:        BSD
URL:            http://www.mkdocs.org/

Source0:        https://pypi.python.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{srcname}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires: PyYAML
Requires: python-click
Requires: python-ghp-import
Requires: python-jinja2 >= 2.7.1
Requires: python-livereload
Requires: python-markdown >= 2.3.1
Requires: python-six


%description
MkDocs is a fast, simple and downright gorgeous static site generator that's
geared towards building project documentation. Documentation source files are
written in Markdown, and configured with a single YAML configuration file.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 644 $RPM_BUILD_ROOT%{python_sitelib}/%{srcname}/*.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/*


%changelog
* Wed May 20 2015 Lars Kiesow <lkiesow@uos.de> - 0.12.2-2
- Set minimum python-markdown and python-jinja2 versions

* Wed May  6 2015 Lars Kiesow <lkiesow@uos.de> - 0.12.2-1
- Initial build

